package pipeline_executor

import (
	"bufio"
	"encoding/json"
	"io"
)

func cleanupBuildOutput(input io.ReadCloser) string {
	output := ""

	scanner := bufio.NewScanner(input)
	for scanner.Scan() {
		var log map[string]any
		json.Unmarshal(scanner.Bytes(), &log)

		if logVar, ok := log["stream"]; ok {
			if log, ok := logVar.(string); ok {
				output += log
			}
		}
	}

	return output
}
