package util

import (
	"fmt"
	"strings"
)

func FormatTags(tags []string) string {
	var tagsStr strings.Builder
	if len(tags) > 0 {
		fmt.Fprintf(&tagsStr, "[%v", tags[0])
		for _, tag := range tags[1:] {
			fmt.Fprintf(&tagsStr, ", %v", tag)
		}
		fmt.Fprintf(&tagsStr, "]")
	}
	return tagsStr.String()
}
